Subject: bug#17208: undoing a --roll-back

From: [email-masked] (Ludovic Courtès)
Date: Sun, 06 Apr 2014 21:33:40 +0200

(Adding bug-guix so we keep track of it.)

Yagnesh Raghava Yakkala <[email-masked]> skribis:

> I am trying to understand rollback feature. I have five generations in the
> package history. As I operated roll-back command, my "current" generation sets
> to 3 from 4 (shell log pasted below). Now how can I return to 4. More general, can I
> go to a desired generation by giving number?  say "guix package --goto-generation #"

Good question.  We can’t do that at the moment, but it would be simple
to add.

In the meantime you can do it by hand by changing the target of the
/var/guix/profiles/per-user/$USER/guix-profile symlink (or similar.)

Thanks,
Ludo’.